"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.coverageTotal = exports.coverage = void 0;
const coverage_test_1 = require("./coverage-test");
const test_1 = require("./test");
/**
 * @public
 * Use this test to track your per-file test coverage. Reads a {@link https://github.com/istanbuljs/istanbuljs/blob/master/packages/istanbul-reports/lib/json-summary/index.js | json-summary format}
 * coverage summary. Make sure to run your tests separately before running Betterer.
 *
 * @param coverageSummaryPath - relative path to the coverage summary. Defaults to './coverage/coverage-summary.json'.
 */
function coverage(coverageSummaryPath) {
    return new coverage_test_1.BettererCoverageTest(test_1.test, coverageSummaryPath);
}
exports.coverage = coverage;
/**
 * @public
 * Use this test to track your total test coverage. Reads a {@link https://github.com/istanbuljs/istanbuljs/blob/master/packages/istanbul-reports/lib/json-summary/index.js | json-summary format}
 * coverage summary. Make sure to run your tests separately before running Betterer.
 *
 * @param coverageSummaryPath - relative path to the coverage summary. Defaults to './coverage/coverage-summary.json'.
 */
function coverageTotal(coverageSummaryPath) {
    return new coverage_test_1.BettererCoverageTest(test_1.testTotal, coverageSummaryPath);
}
exports.coverageTotal = coverageTotal;
//# sourceMappingURL=coverage.js.map